from eventAPI import *
from APIUtils import *

def fireEvent(e):
   if (getTag(e, "lFlagU") != 0):
      return 1
   else:
      showMessage(e, ["A smelly pile of dung sits under a hole in the ceiling of this small cavern. Myriads of insects (not the oversized ones, fortunately) wade happily in the stuff.",
                      "","Aren't you glad you didn't try to come this way!"])
      setTag(e, "lFlagU", 1)
      return 1
